org.apache.ignite.internal.commandline.cache.reset_lost_partitions

## Class CacheResetLostPartitionsTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<CacheResetLostPartitionsTaskArg,CacheResetLostPartitionsTaskResult>
    - - org.apache.ignite.internal.commandline.cache.reset_lost_partitions.CacheResetLostPartitionsTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<CacheResetLostPartitionsTaskArg>,CacheResetLostPartitionsTaskResult>

    public class CacheResetLostPartitionsTask
    extends VisorOneNodeTask<CacheResetLostPartitionsTaskArg,CacheResetLostPartitionsTaskResult>

Reset status of lost partitions.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`CacheResetLostPartitionsTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<CacheResetLostPartitionsTaskArg,CacheResetLostPartitionsTaskResult>` `job(CacheResetLostPartitionsTaskArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheResetLostPartitionsTask

    public CacheResetLostPartitionsTask()

### Method Detail

#### job

    protected VisorJob<CacheResetLostPartitionsTaskArg,CacheResetLostPartitionsTaskResult> job(CacheResetLostPartitionsTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<CacheResetLostPartitionsTaskArg,CacheResetLostPartitionsTaskResult,CacheResetLostPartitionsTaskResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020